Create a Community Comment
curl --request POST \
--url https://schoolmaker.co/api/v1/community/posts/{post_id}/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Thanks for sharing!",
"mention_member_ids": [
"MEMBER_ID"
]
}
'import requests
url = "https://schoolmaker.co/api/v1/community/posts/{post_id}/comments"
payload = {
"body": "Thanks for sharing!",
"mention_member_ids": ["MEMBER_ID"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('Thanks for sharing!'), mention_member_ids: ['MEMBER_ID']})
};
fetch('https://schoolmaker.co/api/v1/community/posts/{post_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "44444444-4444-4444-8444-444444444444",
"post_id": "22222222-2222-4222-8222-222222222222",
"parent_comment_id": null,
"reply_count": 0,
"author": {
"id": "11111111-1111-4111-8111-111111111111",
"type": "User",
"name": "Jamie Example",
"email": "jamie@example.com",
"first_name": "Jamie",
"last_name": "Example",
"profile_picture_url": null,
"last_seen_at": null,
"created_at": "2026-10-02T00:00:00Z",
"updated_at": "2026-10-02T00:00:00Z"
},
"body": "<p>Thanks for sharing!</p>",
"created_at": "2026-10-02T00:10:00Z"
}{
"error": "Access denied"
}{
"error": "You do not have permission to perform this action"
}{
"error": "Record not found"
}{
"error": "Invalid arguments"
}Community
Create a Community Comment
Creates a comment or reply as the school owner. The post and its category must be open.
POST
/
community
/
posts
/
{post_id}
/
comments
Create a Community Comment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Post ID.
Required string length:
1 - 255Body
application/jsonapplication/x-www-form-urlencoded
Required comment or post content. Embedded attachments and scripts are not supported.
Maximum string length:
200000HTML or Markdown input, returned as HTML. For blockquotes, use HTML markup.
Available options:
html, markdown Optional top-level comment of this post. Omit to add a top-level comment.
Required string length:
1 - 255IDs of up to 20 active members to mention. Duplicate IDs are ignored. Notifications depend on each member's access and preferences.
Maximum array length:
20Required string length:
1 - 255Was this page helpful?